 height: 100%;
      background-color: #000; /* semi-transparent black background */
      z-index: 9999; /* ensures it's on top of everything */
    }

    #loading-spinner {
      border: 4px solid #f3f3f3;
      border-top: 4px solid #3498db; /* blue color for spinner */
      border-radius: 50%;
      width: 50px;
      height: 50px;
      animation: spin 1s linear infinite; /* rotation animation */
    }

    @keyframes spin {
      0% { transform: rotate(0deg); }
      100% { transform: rotate(360deg); }
    }
     /* Style for the loading screen */
    #loading-screen {
      display: flex;
      justify-content: center;
      align-items: center;
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: #000; /* semi-transparent black background */
      z-index: 9999; /* ensures it's on top of everything */
    }

    #loading-spinner {
      border: 4px solid #f3f3f3;
      border-top: 4px solid #3498db; /* blue color for spinner */
      border-radius: 50%;
      width: 50px;
      height: 50px;
      animation: spin 1s linear infinite; /* rotation animation */
    }

    @keyframes spin {
      0% { transform: rotate(0deg); }
      100% { transform: rotate(360deg); }
    }